MCP Gateway Tool V1

Operations related to MCP Gateway tools

List all Cassandra Query tools in an MCP Gateway cluster.

SecurityBasic Authentication
Request
path Parameters
clusterId
required
string <uuid>

ID of the MCP Gateway cluster.

Responses
200

Successfully retrieved Cassandra Query tools for the MCP Gateway cluster.

get/cluster-management/v2/data-sources/mcp_gateway_cluster/{clusterId}/tools/cassandra-query/v1
Request samples
Response samples
application/json
[
  • {
    }
]

List all HTTP Server Operation tools in an MCP Gateway cluster.

SecurityBasic Authentication
Request
path Parameters
clusterId
required
string <uuid>

ID of the MCP Gateway cluster.

Responses
200

Successfully retrieved HTTP Server Operation tools for the MCP Gateway cluster.

get/cluster-management/v2/data-sources/mcp_gateway_cluster/{clusterId}/tools/http-server-operation/v1
Request samples
Response samples
application/json
[
  • {
    }
]

List all Kafka Consume Recent tools in an MCP Gateway cluster.

SecurityBasic Authentication
Request
path Parameters
clusterId
required
string <uuid>

ID of the MCP Gateway cluster.

Responses
200

Successfully retrieved Kafka Consume Recent tools for the MCP Gateway cluster.

get/cluster-management/v2/data-sources/mcp_gateway_cluster/{clusterId}/tools/kafka-consume-recent/v1
Request samples
Response samples
application/json
[
  • {
    }
]

List all Kafka Publish Message tools in an MCP Gateway cluster.

SecurityBasic Authentication
Request
path Parameters
clusterId
required
string <uuid>

ID of the MCP Gateway cluster.

Responses
200

Successfully retrieved Kafka Publish Message tools for the MCP Gateway cluster.

get/cluster-management/v2/data-sources/mcp_gateway_cluster/{clusterId}/tools/kafka-publish-message/v1
Request samples
Response samples
application/json
[
  • {
    }
]

Get an MCP Gateway Cassandra Query tool.

SecurityBasic Authentication
Request
path Parameters
toolId
required
string <uuid>

ID of the MCP tool.

Responses
200

MCP Gateway Cassandra Query tool details retrieved.

404

MCP Gateway tool not found.

get/cluster-management/v2/resources/applications/mcp-gateway/tools/cassandra-query/v1/{toolId}
Request samples
Response samples
application/json
{
  • "resultFields": [
    ],
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  • "query": "SELECT (key, value) FROM keyspace.table WHERE key = :key",
  • "name": "my-cassandra-tool",
  • "backendId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  • "description": "My tool that does a thing.",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "parameters": [
    ]
}

Update an MCP Gateway Cassandra Query tool.

SecurityBasic Authentication
Request
path Parameters
toolId
required
string <uuid>

ID of the MCP tool.

Request Body schema: application/json
required
Array of objects (McpGatewayMcpToolCassandraQueryVariableV1)

Expected fields in the result set.

query
required
string

CQL executed by this tool.

name
string^[a-zA-Z0-9_-]+$

Name of the tool.

description
string

Description of the tool.

Array of objects (McpGatewayMcpToolCassandraQueryVariableV1)

Bind variables accepted by the CQL query, in order.

Responses
202

MCP Gateway Cassandra Query tool update requested.

404

MCP Gateway tool not found.

put/cluster-management/v2/resources/applications/mcp-gateway/tools/cassandra-query/v1/{toolId}
Request samples
application/json
{
  • "resultFields": [
    ],
  • "query": "SELECT (key, value) FROM keyspace.table WHERE key = :key",
  • "name": "my-cassandra-tool",
  • "description": "My tool that does a thing.",
  • "parameters": [
    ]
}
Response samples
application/json
{
  • "resultFields": [
    ],
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  • "query": "SELECT (key, value) FROM keyspace.table WHERE key = :key",
  • "name": "my-cassandra-tool",
  • "backendId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  • "description": "My tool that does a thing.",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "parameters": [
    ]
}

Delete an MCP Gateway tool.

SecurityBasic Authentication
Request
path Parameters
toolId
required
string <uuid>

ID of the MCP tool.

Responses
204

MCP Gateway tool delete requested.

404

MCP Gateway tool not found.

delete/cluster-management/v2/resources/applications/mcp-gateway/tools/cassandra-query/v1/{toolId}
Request samples
Response samples
application/json
{
  • "errors": [
    ]
}

Create an MCP Gateway HTTP Server Operation tool .

SecurityBasic Authentication
Request
Request Body schema: application/json
required
path
required
string[^"'\\]+

Path template for the HTTP operation.

method
required
string

HTTP method for the HTTP Server operation.

Enum: "get" "post" "put" "delete"
Array of objects <= 1 items
name
string^[a-zA-Z0-9_-]+$

Name of the tool.

backendId
required
string <uuid>

ID of the backend this tool is associated with.

description
string

Description of the tool.

Array of objects

Operation parameters (JSON).

Responses
202

MCP Gateway HTTP Server Operation tool creation requested.

post/cluster-management/v2/resources/applications/mcp-gateway/tools/http-server-operation/v1
Request samples
application/json
{
  • "backendId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "method": "get",
  • "name": "my-http-operation",
  • "path": "/clusters/{clusterId}",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
Response samples
application/json
{
  • "backendId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "method": "get",
  • "name": "my-http-operation",
  • "path": "/clusters/{clusterId}",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Get an MCP Gateway HTTP Server Operation tool.

SecurityBasic Authentication
Request
path Parameters
toolId
required
string <uuid>

ID of the MCP tool.

Responses
200

MCP Gateway HTTP Server Operation tool details retrieved.

404

MCP Gateway tool not found.

get/cluster-management/v2/resources/applications/mcp-gateway/tools/http-server-operation/v1/{toolId}
Request samples
Response samples
application/json
{
  • "backendId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "method": "get",
  • "name": "my-http-operation",
  • "path": "/clusters/{clusterId}",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Update an MCP Gateway HTTP Server Operation tool.

SecurityBasic Authentication
Request
path Parameters
toolId
required
string <uuid>

ID of the MCP tool.

Request Body schema: application/json
required
path
required
string[^"'\\]+

Path template for the HTTP operation.

method
required
string

HTTP method for the HTTP Server operation.

Enum: "get" "post" "put" "delete"
Array of objects <= 1 items
name
string^[a-zA-Z0-9_-]+$

Name of the tool.

description
string

Description of the tool.

Array of objects

Operation parameters (JSON).

Responses
202

MCP Gateway HTTP Server Operation tool update requested.

404

MCP Gateway tool not found.

put/cluster-management/v2/resources/applications/mcp-gateway/tools/http-server-operation/v1/{toolId}
Request samples
application/json
{
  • "path": "/clusters/{clusterId}",
  • "method": "get",
  • "requestBody": [
    ],
  • "name": "my-cassandra-tool",
  • "description": "My tool that does a thing.",
  • "parameters": [
    ]
}
Response samples
application/json
{
  • "backendId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "method": "get",
  • "name": "my-http-operation",
  • "path": "/clusters/{clusterId}",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Delete an MCP Gateway tool.

SecurityBasic Authentication
Request
path Parameters
toolId
required
string <uuid>

ID of the MCP tool.

Responses
204

MCP Gateway tool delete requested.

404

MCP Gateway tool not found.

delete/cluster-management/v2/resources/applications/mcp-gateway/tools/http-server-operation/v1/{toolId}
Request samples
Response samples
application/json
{
  • "errors": [
    ]
}

Create an MCP Gateway Kafka Consume Recent tool .

SecurityBasic Authentication
Request
Request Body schema: application/json
required
consumePeriod
required
integer <int32>

Period in seconds to look back when consuming messages.

topics
required
Array of strings

Kafka topics to consume from.

name
string^[a-zA-Z0-9_-]+$

Name of the tool.

backendId
required
string <uuid>

ID of the backend this tool is associated with.

description
string

Description of the tool.

messageDescription
string

Description of what consumed messages represent.

Responses
202

MCP Gateway Kafka Consume Recent tool creation requested.

post/cluster-management/v2/resources/applications/mcp-gateway/tools/kafka-consume-recent/v1
Request samples
application/json
{
  • "backendId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "consumePeriod": 900,
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-kafka-consume-tool",
  • "topics": [
    ],
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
Response samples
application/json
{
  • "backendId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "consumePeriod": 900,
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-kafka-consume-tool",
  • "topics": [
    ],
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Get an MCP Gateway Kafka Consume Recent tool.

SecurityBasic Authentication
Request
path Parameters
toolId
required
string <uuid>

ID of the MCP tool.

Responses
200

MCP Gateway Kafka Consume Recent tool details retrieved.

404

MCP Gateway tool not found.

get/cluster-management/v2/resources/applications/mcp-gateway/tools/kafka-consume-recent/v1/{toolId}
Request samples
Response samples
application/json
{
  • "backendId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "consumePeriod": 900,
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-kafka-consume-tool",
  • "topics": [
    ],
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Update an MCP Gateway Kafka Consume Recent tool.

SecurityBasic Authentication
Request
path Parameters
toolId
required
string <uuid>

ID of the MCP tool.

Request Body schema: application/json
required
consumePeriod
required
integer <int32>

Period in seconds to look back when consuming messages.

topics
required
Array of strings

Kafka topics to consume from.

name
string^[a-zA-Z0-9_-]+$

Name of the tool.

description
string

Description of the tool.

messageDescription
string

Description of what consumed messages represent.

Responses
202

MCP Gateway Kafka Consume Recent tool update requested.

404

MCP Gateway tool not found.

put/cluster-management/v2/resources/applications/mcp-gateway/tools/kafka-consume-recent/v1/{toolId}
Request samples
application/json
{
  • "consumePeriod": 900,
  • "topics": [
    ],
  • "name": "my-cassandra-tool",
  • "description": "My tool that does a thing.",
  • "messageDescription": "order events"
}
Response samples
application/json
{
  • "backendId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "consumePeriod": 900,
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-kafka-consume-tool",
  • "topics": [
    ],
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Delete an MCP Gateway tool.

SecurityBasic Authentication
Request
path Parameters
toolId
required
string <uuid>

ID of the MCP tool.

Responses
204

MCP Gateway tool delete requested.

404

MCP Gateway tool not found.

delete/cluster-management/v2/resources/applications/mcp-gateway/tools/kafka-consume-recent/v1/{toolId}
Request samples
Response samples
application/json
{
  • "errors": [
    ]
}

Create an MCP Gateway Kafka Publish Message tool .

SecurityBasic Authentication
Request
Request Body schema: application/json
required
name
string^[a-zA-Z0-9_-]+$

Name of the tool.

backendId
required
string <uuid>

ID of the backend this tool is associated with.

topic
required
string[a-zA-Z0-9][a-zA-Z0-9 _-]*

Name of the topic to post message to.

description
string

Description of the tool.

messageDescription
string

Description of what the message represents.

Responses
202

MCP Gateway Kafka Publish Message tool creation requested.

post/cluster-management/v2/resources/applications/mcp-gateway/tools/kafka-publish-message/v1
Request samples
application/json
{
  • "backendId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-kafka-publish-tool",
  • "topic": "mcp-topic",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
Response samples
application/json
{
  • "backendId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-kafka-publish-tool",
  • "topic": "mcp-topic",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Get an MCP Gateway Kafka Publish Message tool.

SecurityBasic Authentication
Request
path Parameters
toolId
required
string <uuid>

ID of the MCP tool.

Responses
200

MCP Gateway Kafka Publish Message tool details retrieved.

404

MCP Gateway tool not found.

get/cluster-management/v2/resources/applications/mcp-gateway/tools/kafka-publish-message/v1/{toolId}
Request samples
Response samples
application/json
{
  • "backendId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-kafka-publish-tool",
  • "topic": "mcp-topic",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Update an MCP Gateway Kafka Publish Message tool.

SecurityBasic Authentication
Request
path Parameters
toolId
required
string <uuid>

ID of the MCP tool.

Request Body schema: application/json
required
name
string^[a-zA-Z0-9_-]+$

Name of the tool.

topic
required
string[a-zA-Z0-9][a-zA-Z0-9 _-]*

Name of the topic to post message to.

description
string

Description of the tool.

messageDescription
string

Description of what the message represents.

Responses
202

MCP Gateway Kafka Publish Message tool update requested.

404

MCP Gateway tool not found.

put/cluster-management/v2/resources/applications/mcp-gateway/tools/kafka-publish-message/v1/{toolId}
Request samples
application/json
{
  • "name": "my-cassandra-tool",
  • "topic": "mcp-topic",
  • "description": "My tool that does a thing.",
  • "messageDescription": "order name"
}
Response samples
application/json
{
  • "backendId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  • "clusterId": "4650aa98-e894-4675-9614-558915d5837a",
  • "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  • "name": "my-kafka-publish-tool",
  • "topic": "mcp-topic",
  • "virtualServerId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}

Delete an MCP Gateway tool.

SecurityBasic Authentication
Request
path Parameters
toolId
required
string <uuid>

ID of the MCP tool.

Responses
204

MCP Gateway tool delete requested.

404

MCP Gateway tool not found.

delete/cluster-management/v2/resources/applications/mcp-gateway/tools/kafka-publish-message/v1/{toolId}
Request samples
Response samples
application/json
{
  • "errors": [
    ]
}